import { Input, Schema } from '../';
import { SchemaValidator } from '../Validate';
export declare function Maybe<T extends Schema>(schema: T, errorMsg?: string): SchemaValidator<T | undefined, [Input<T> | undefined]>;
export declare function Optional<T extends Schema>(schema: T, errorMsg?: string): SchemaValidator<T | undefined, [Input<T> | undefined]>;
export declare function Or<A extends Schema, B extends Schema>(a: A, b: B, errorMsg?: string): SchemaValidator<A | B, [Input<A> | Input<B>]>;
